%% PFrameAssignElementProperties.m
%  Assign properties for the n element
%  This file is part of the PFrameMatlab program

Node_i = ElementProperties(n,1); %Start node
Node_j = ElementProperties(n,2); %End node

MaterialGroup = ElementProperties(n,3); %Material Group
SectionGroup = ElementProperties(n,4); %Section Group

E = MaterialProperties(MaterialGroup); %Material modulus of Elasticity
A = SectionProperties(SectionGroup,1); %Cross section area
I = SectionProperties(SectionGroup,2); %Cross section moment of inertia

x1 = NodesCoordinates(Node_i,1); y1 = NodesCoordinates(Node_i,2); %Node i coordinates
x2 = NodesCoordinates(Node_j,1); y2 = NodesCoordinates(Node_j,2); %Node j coordinates

L = PFrameElementLength(x1,y1,x2,y2); %Element length

% End of file -------------------------------------------------------------