%% PFrameDataOutput.m
%  Save analysis results to output file
%  This file is part of the PFrameMatlab program


%% Open output file and start writing
OutputFileExtension = '.out';
OutputFileName = [InputFileName, OutputFileExtension];

fileID = fopen(OutputFileName,'wt');
fprintf(fileID, '*PFrameMatlab output file\n');
fprintf(fileID, '\n');


%% Write Nodes displacements
fprintf(fileID, '*Node displacements (global system)\n');
fprintf(fileID, '\n');
fprintf(fileID, ' ID   x-displacement   y-displacement       z-rotation\n');
fprintf(fileID, '%3i % 16.4E % 16.4E % 16.4E \n', [[1:NumNodes]' NodeDisplacementsGlobal]');
fprintf(fileID, '\n');


%% Write Element forces
fprintf(fileID, '*Element forces (local system)\n');
fprintf(fileID, '\n');
fprintf(fileID, ' ID  Axial Force i  Shear force i       Moment i  Axial Force j  Shear force j       Moment j\n');
fprintf(fileID, '%3i % 14.4f % 14.4f % 14.4f % 14.4f % 14.4f % 14.4f \n', [[1:NumElements]' ElementALLLocalForces]');
fprintf(fileID, '\n');


%% Write Constraint reactions
fprintf(fileID, '*Constraint reactions (global system)\n');
fprintf(fileID, '\n');
fprintf(fileID, ' ID  DOF       Reaction\n');
fprintf(fileID, '%3i %4i % 14.4f \n', NodeDOFReaction');
fprintf(fileID, '\n');


%% Close output file
fclose(fileID);

% End of file -------------------------------------------------------------