% PFrameElementTransformation.m (function)
% Returns the transformation matrix [6x6] of a 2D beam element
% given the coordinates of start node i (x1,y1) and end node j (x2,y2)
% This file is part of the PFrameMatlab program

function y = PFrameElementTransformation(x1,y1,x2,y2)

L = PFrameElementLength(x1,y1,x2,y2);
dx = x2-x1; dy = y2-y1;
cosfi = dx/L; sinfi = dy/L;

y = [cosfi   sinfi    0      0       0      0  ;
    -sinfi   cosfi    0      0       0      0  ;
      0        0      1      0       0      0  ;
      0        0      0    cosfi   sinfi    0  ;
      0        0      0   -sinfi   cosfi    0  ;
      0        0      0      0       0      1] ;
  
% End of file -------------------------------------------------------------