% PFrameT1ElementStiffness.m (function)
% Returns the local stiffness matrix [6x6] of a 2D beam element Type 1
% Beam -------- with no hinges (P2 type)
% This file is part of the PFrameMatlab program

function  y = PFrameT1ElementStiffness(E,A,I,L)

y = [ E*A/L       0               0       -E*A/L        0                0      ;    
        0     12*E*I/(L^3)   6*E*I/(L^2)    0      -12*E*I/(L^3)   6*E*I/(L^2)  ;  
        0      6*E*I/(L^2)     4*E*I/L      0       -6*E*I/(L^2)     2*E*I/L    ;
     -E*A/L       0               0        E*A/L        0                0      ;
        0    -12*E*I/(L^3)  -6*E*I/(L^2)    0       12*E*I/(L^3)  -6*E*I/(L^2)  ;     
        0      6*E*I/(L^2)     2*E*I/L      0       -6*E*I/(L^2)     4*E*I/L  ] ;
    
% End of file -------------------------------------------------------------